/*
 * Copyright (c) 1999 Alfredo K. Kojima
 * Copyright (c) 2001, 2002 Seiichi SATO <ssato@sh.rim.or.jp>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 * AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 * This code is based on libdockapp-0.4.0
 * modified by Seiichi SATO <ssato@sh.rim.or.jp>
 *
 * $Id: dockapp.h,v 1.2 2003/12/23 18:27:34 le Exp $
 */

extern Display	*display;
extern int	dockapp_iswindowed;
extern int	dockapp_isbrokenwm;

void	dockapp_open_window(char *, char *, u_int, u_int, int, char **);
void	dockapp_set_eventmask(long);
void	dockapp_set_background(Pixmap);
void	dockapp_show(void);
void	dockapp_setshape(Pixmap, int, int);
void	dockapp_copyarea(Pixmap, Pixmap, int, int, int, int, int, int);
void	dockapp_copy2window(Pixmap);
int	dockapp_nextevent_or_timeout(XEvent *, u_long);
int	dockapp_xpm2pixmap(char **, Pixmap *, Pixmap *, XpmColorSymbol *, u_int);
u_long	dockapp_getcolor(char *);
u_long	dockapp_blendedcolor(char *, int, int, int, float);
Pixmap	dockapp_XCreatePixmap(int, int);
